package rpgEngine.UI;

import java.awt.event.KeyEvent;
import javax.swing.JPanel;

public abstract class GenericPanel extends JPanel {

	private static final long serialVersionUID = 7023239105023848898L;
	private MainFrame parent;
	private Integer ID;
	
	public GenericPanel(Integer id, MainFrame p) {
		super();
		
		setID(id);
		parent = p;
	}
	
	public abstract void ProcessKeyEvent(KeyEvent e);

	public MainFrame getParentMainFrame() {
		return parent;
	}

	public void setParentMainFrame(MainFrame parent) {
		this.parent = parent;
	}

	public Integer getID() {
		return ID;
	}

	public void setID(Integer iD) {
		ID = iD;
	}
	
}
